package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoECFTipoPRC {
	private String ufOrigem;
	private Integer municipioOrigem ;
	private BigDecimal valorTotal; 
	private BigDecimal valorBaseCalculoICMS; 
	private BigDecimal valorICMS; 
	private String ecf;
	private String dataEmissao; 
	private BigDecimal tributacao;

	public ExportacaoECFTipoPRC() {
		
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public BigDecimal getValorBaseCalculoICMS() {
		return valorBaseCalculoICMS;
	}

	public void setValorBaseCalculoICMS(BigDecimal valorBaseCalculoICMS) {
		this.valorBaseCalculoICMS = valorBaseCalculoICMS;
	}

	public BigDecimal getValorICMS() {
		return valorICMS;
	}

	public void setValorICMS(BigDecimal valorICMS) {
		this.valorICMS = valorICMS;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public BigDecimal getTributacao() {
		return tributacao;
	}

	public void setTributacao(BigDecimal tributacao) {
		this.tributacao = tributacao;
	}

	@Override
	public String toString() {
		return "ExportacaoECFTipoPRC [ufOrigem=" + ufOrigem + ", municipioOrigem=" + municipioOrigem + ", valorTotal=" + valorTotal + ", valorBaseCalculoICMS=" + valorBaseCalculoICMS + ", valorICMS=" + valorICMS + ", ecf=" + ecf + ", dataEmissao=" + dataEmissao + ", tributacao=" + tributacao + "]";
	}
}
